Subject: [AVT] (no subject)

From: sona chalam <[email-masked]>
Date: Wed, 2 May 2007 02:27:38 -0700 (PDT)

Hi All
 
I have some doubts in implementing H264
Depacketizer.Can some body can help me regarding  this
and also help me with some sample code for
depacketizer.
 
I am trying to implement for a H264 depacketizer for a
streaming client.

Doubts are. 
 
1. In H264 a complete NAL  contains one frame or an
Access unit contains one Frame?

2.When we get FUs  and if any FU unit is lost
according to RFC it says all the following FUs should
be discarded. Is that means should we discard the
complete FU-A?
 
3.If you get FUs with seq number as 1 2 3 5  and
assume 1 is the satrt of FU and 5 is the End of the FU
how the depacketizer should handle this case?
 
4. If  the decoder needs Access unit not interms of
NAL units? how the the NALs units should be arranged
or how to identify the start of the new access unit? 
 
5.Within an access unit do we need to arrange interms
of Picture parameter set or sequence parameter set NAL
units  as the  first  and the rest follows?
 
It will be great if  I get to know how a typical H264 
decoder would have been designed to accept the NAL
units?

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt